routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers as Controladores;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});

Auth:: routes(['register' => false]);

Route::get('/home', [Controladores\HomeController::class, 'index'])->name('home');

Route::resource('users', Controladores\UserController::class)->middleware('auth');
Route::resource('providers', Controladores\ProviderController::class)->middleware('auth');
Route::resource('productos', Controladores\ProductoController::class)->middleware('auth');
Route::resource('clientes', Controladores\ClienteController::class)->middleware('auth');
Route::resource('especie-mascotas', Controladores\EspecieMascotaController::class)->middleware('auth');
Route::resource('mascotas', Controladores\MascotaController::class)->middleware('auth');
Route::resource('servicios', Controladores\ServicioController::class)->middleware('auth');
Route::resource('ventas', Controladores\VentaController::class)->except(['store'])->middleware('auth');
Route::get('consultas/atencion',[Controladores\ConsultaController::class,'atencion'])->middleware('auth')->name('consultas.atencion');
Route::get('consultas/programacion',[Controladores\ConsultaController::class,'programacion'])->middleware('auth')->name('consultas.programacion');
Route::resource('consultas', Controladores\ConsultaController::class)->middleware('auth');
Route::get('consultas/{consulta}/editDetail',[Controladores\ConsultaController::class,'editDetail'])->middleware('auth')->name('consultas.editDetail');
Route::patch('consultas/{consulta}',[Controladores\ConsultaController::class,'saveDetail'])->middleware('auth')->name('consultas.saveDetail');

app/Models/Consulta.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Class Consulta
 *
 * @property $id
 * @property $id_servicio
 * @property $id_mascota
 * @property $id_usuario
 * @property $detalle
 * @property $inicio
 * @property $fin
 *
 * @property Mascota $mascota
 * @property Servicio $servicio
 * @property User $user
 * @package App
 * @mixin \Illuminate\Database\Eloquent\Builder
 */
class Consulta extends Model
{

    static $rules = [
		'id_servicio' => 'required|numeric|min:1',
		'id_mascota' => 'required|numeric|min:1',
		'id_usuario' => 'required|numeric|min:1',
        'id_cliente' => 'required|numeric|min:1',
        'detalle' => 'nullable|string|min:10|max:3000',
        'inicio' => 'required|date_format:d/m/Y h:i a|after:yesterday'
    ];

    protected $primaryKey = 'id';
    public $timestamps = false;

    protected $casts = ['inicio' => \App\Casts\MyDateTime::class, 'fin' => \App\Casts\MyDateTime::class];

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = ['id_servicio','id_mascota','id_usuario','id_cliente','detalle','inicio','fin'];


    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function mascota()
    {
        return $this->belongsTo('App\Models\Mascota', 'id_mascota', 'id');
    }

    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function cliente()
    {
        return $this->belongsTo('App\Models\Cliente', 'id_cliente', 'id');
    }

    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function servicio()
    {
        return $this->belongsTo('App\Models\Servicio', 'id_servicio', 'id');
    }

    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function user()
    {
        return $this->belongsTo('App\Models\User', 'id_usuario', 'id');
    }


}

app/Http/Controllers/ConsultaController.php
<?php

namespace App\Http\Controllers;

use App\Models\Cliente;
use App\Models\Consulta;
use App\Models\Mascota;
use App\Models\Servicio;
use App\Models\User;
use Carbon\Carbon;
use Illuminate\Http\Request;

/**
 * Class ConsultaController
 * @package App\Http\Controllers
 */
class ConsultaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $consultas = Consulta::with('mascota:id,nombre','cliente', 'servicio', 'user:id,nombres,apellidos')->get();

        return view('consulta.index', compact('consultas'));
    }

    public function programacion()
    {
        $consultas = Consulta::select('inicio', 'fin','id_usuario', 'id_servicio')->with('servicio:id,nombre', 'user:id,nombres,apellidos')->get();

        return view('consulta.programacion', compact('consultas'));
    }

    public function atencion()
    {
        $idusuario = auth()->user()->id;

        $consultas = Consulta::with('mascota:id,nombre','cliente', 'servicio')->where('id_usuario', $idusuario)->get();

        return view('consulta.atencion', compact('consultas'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $consulta = new Consulta();
        $clientes = Cliente::selectRaw("CONCAT (nombres, ' ', apellidos) as fullname, id")->get();
        $usuarios = User::selectRaw("CONCAT (nombres, ' ', apellidos) as fullname, id")->where('id_rol', 2)->get();
        $servicios = Servicio::select('id', 'nombre')->get();
        $mascotas = Mascota::select('id', 'nombre', 'id_cliente')->get();

        return view('consulta.create', compact('consulta', 'clientes', 'usuarios', 'mascotas', 'servicios'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //dd($request);

        request()->validate(Consulta::$rules);

        $data_servicio = Servicio::select('duracion_horas','duracion_minutos')->where('id', $request['id_servicio'])->first();

        $inicio = Carbon::createFromFormat('d/m/Y h:i a', $request['inicio'], 'America/Lima');
        $fin = $inicio->copy()->addHours($data_servicio->duracion_horas)->addMinutes($data_servicio->duracion_minutos);

        $newConsulta = $request->except(['inicio']);
        $newConsulta['inicio'] = date('Y-m-d H:i:s', $inicio->timestamp);
        $newConsulta['fin'] = date('Y-m-d H:i:s', $fin->timestamp);

        Consulta::create($newConsulta);

        return redirect()->route('consultas.index')
            ->with('success', 'La consulta ha sido registrada');
    }

    /**
     * Display the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $consulta = Consulta::with('mascota:id,nombre','cliente', 'servicio', 'user:id,nombres,apellidos')->find($id);

        return view('consulta.show', compact('consulta'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $consulta = Consulta::find($id);
        $clientes = Cliente::selectRaw("CONCAT (nombres, ' ', apellidos) as fullname, id")->get();
        $usuarios = User::selectRaw("CONCAT (nombres, ' ', apellidos) as fullname, id")->where('id_rol', 2)->get();
        $servicios = Servicio::select('id', 'nombre')->get();
        $mascotas = Mascota::select('id', 'nombre', 'id_cliente')->get();

        return view('consulta.edit', compact('consulta', 'clientes', 'usuarios', 'mascotas', 'servicios'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  Consulta $consulta
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Consulta $consulta)
    {
        $updrules = [
            'id_cliente' => 'nullable'
        ];

        request()->validate(array_replace(Consulta::$rules,$updrules));

        $data_servicio = Servicio::select('duracion_horas','duracion_minutos')->where('id', $request['id_servicio'])->first();

        $inicio = Carbon::createFromFormat('d/m/Y h:i a', $request['inicio'], 'America/Lima');
        $fin = $inicio->copy()->addHours($data_servicio->duracion_horas)->addMinutes($data_servicio->duracion_minutos);

        $newConsulta = $request->except(['inicio']);
        $newConsulta['inicio'] = date('Y-m-d H:i:s', $inicio->timestamp);
        $newConsulta['fin'] = date('Y-m-d H:i:s', $fin->timestamp);

        $consulta->update($newConsulta);

        return redirect()->route('consultas.index')
            ->with('success', 'La Consulta fue actualizada con éxito');
    }

    /**
     * @param int $id
     * @return \Illuminate\Http\RedirectResponse
     * @throws \Exception
     */
    public function destroy($id)
    {
        Consulta::find($id)->delete();

        return redirect()->route('consultas.index')
            ->with('success', 'Se ha eliminado la consulta correctamente');
    }

    public function editDetail($id)
    {
        $consulta = Consulta::find($id);

        return view('consulta.editDetail', compact('consulta'));
    }

    public function saveDetail(Request $request, Consulta $consulta)
    {
        $rules = [
            'detalle' => 'string|required'
        ];

        $fields = $request->validate($rules);

        $consulta->update($fields);

        return redirect()->route('consultas.atencion')
            ->with('success', 'El detalle de la consulta se registró correctamente');
    }
}

resources/views/consulta/atencion.blade.php
@extends('layouts.app')

@section('template_title')
    Consultas Asignadas
@endsection

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <div style="display: flex; justify-content: space-between; align-items: center;">
                            <span id="card_title">
                                {{ __('Listado de Consultas') }}
                            </span>
                        </div>
                    </div>
                    @if ($message = Session::get('success'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                    @endif

                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover">
                                <thead class="thead">
                                    <tr>
                                        <th>Nro</th>

										<th>Servicio</th>
										<th>Mascota</th>
                                        <th>Cliente</th>
										<th>Horario de Inicio</th>

                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($consultas as $consulta)
                                        <tr>
                                            <td>{{ $loop->index + 1 }}</td>

											<td>{{ $consulta->servicio->nombre }}</td>
											<td>{{ $consulta->mascota->nombre }}</td>
											<td>{{ $consulta->cliente->nombres.' '.$consulta->cliente->apellidos }}</td>
											<td>{{ $consulta->inicio }}</td>

                                            <td>
                                                <a class="btn btn-sm btn-primary" href="{{ route('consultas.editDetail',$consulta->id) }}"><i class="fa fa-fw fa-eye"></i> Detalle Atención</a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('scripts')
<script>
    $(function(){
        $(".deler").click(function(){
            if(confirm("¿Desea eliminar la consulta?")){
                $(this).parent().submit();
            }
        });
    });
</script>
@endsection

resources/views/consulta/create.blade.php
@extends('layouts.app')

@section('template_title')
    Create Consulta
@endsection

@section('content')
    <section class="content container-fluid">
        <div class="row">
            <div class="col-md-12">

                @includeif('partials.errors')

                <div class="card card-default">
                    <div class="card-header">
                        <span class="card-title">Create Consulta</span>
                    </div>
                    <div class="card-body">
                        <form method="POST" action="{{ route('consultas.store') }}"  role="form" enctype="multipart/form-data">
                            @csrf

                            @include('consulta.form')

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

resources/views/consulta/edit.blade.php
@extends('layouts.app')

@section('template_title')
    Editar Consulta
@endsection

@section('content')
    <section class="content container-fluid">
        <div class="">
            <div class="col-md-12">

                @includeif('partials.errors')

                <div class="card card-default">
                    <div class="card-header">
                        <span class="card-title">Actualizar Consulta</span>
                    </div>
                    <div class="card-body">
                        <form method="POST" action="{{ route('consultas.update', $consulta->id) }}"  role="form" enctype="multipart/form-data">
                            {{ method_field('PATCH') }}
                            @csrf

                            @include('consulta.form')

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

resources/views/consulta/editDetail.blade.php
@section("estilos")
<style>
.tox-statusbar__branding{display:none}
.tox-statusbar__text-container{visibility:hidden;}
</style>
@endsection

@extends('layouts.app')

@section('template_title')
    Detalle de Consulta
@endsection

@section('content')
    <section class="content container-fluid">
        <div class="">
            <div class="col-md-12">

                @includeif('partials.errors')

                <div class="card card-default">
                    <div class="card-header">
                        <span class="card-title">Detalle de Consulta</span>
                    </div>
                    <div class="card-body">
                        <form method="POST" action="{{ route('consultas.saveDetail', $consulta->id) }}"  role="form" enctype="multipart/form-data">
                            {{ method_field('PATCH') }}
                            @csrf

                            <div class="form-group">
                                {{ Form::label('detalle', 'Detalle de Consulta') }}
                                {{ Form::textarea('detalle', $consulta->detalle, ['class' => 'form-control' . ($errors->has('detalle') ? ' is-invalid' : ''), 'placeholder' => 'Indique el detalle']) }}
                                {!! $errors->first('detalle', '<p class="invalid-feedback">:message</p>') !!}
                            </div>

                            <div class="box-footer mt20">
                                <button type="submit" class="btn btn-primary">Guardar</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

@section("scripts")
<script src="https://cdn.tiny.cloud/1/k2knlbgaypb01ww3nwrqubzlxoux4rc6oz1h26gudjy1rh99/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>
<script src="{{ asset('js/es_419.js') }}"></script>
<script>
    tinymce.init({
        selector: 'textarea#detalle',
        skin: 'bootstrap',
        plugins: 'lists, link',
        toolbar: 'undo redo | bold italic underline | alignleft aligncenter alignright alignjustify | outdent indent | bullist numlist link',
        menubar: false,
        language: 'es_419'
    });
</script>
@endsection

resources/views/consulta/form.blade.php
@section('estilos')
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/gijgo@1.9.13/css/gijgo.min.css">
    <style>
        .gj-datepicker-bootstrap [role=right-icon] button {
            border-color: #bbb;
        }
        .gj-datepicker-bootstrap [role=right-icon] button .gj-icon {
            top: 12px;
            left: 14px;
        }
    </style>
@endsection

<div class="box box-info padding-1">
    <div class="box-body">

        <div class="form-group">
            {{ Form::label('id_servicio', 'Servicio a Brindar') }}
            {{ Form::select('id_servicio', array_column($servicios->toArray(), 'nombre', 'id'), $consulta->id_servicio, ['class' => 'form-control' . ($errors->has('id_servicio') ? ' is-invalid' : ''), 'placeholder' => '- seleccione -']) }}
            {!! $errors->first('id_servicio', '<div class="invalid-feedback">:message</p>') !!}
        </div>
        <div class="form-group">
            {{ Form::label('id_cliente', 'Cliente') }}
            {{ Form::select('id_cliente', array_column($clientes->toArray(), 'fullname', 'id'), $consulta->id_cliente, ['class' => 'form-control' . ($errors->has('id_cliente') ? ' is-invalid' : ''), 'placeholder' => '- seleccione -']) }}
            {!! $errors->first('id_cliente', '<div class="invalid-feedback">:message</p>') !!}
        </div>
        <div class="form-group">
            {{ Form::label('id_mascota', 'Mascota que va recibir servicio') }}
            {{ Form::select('id_mascota', array_column($mascotas->toArray(), 'nombre', 'id'), $consulta->id_mascota, ['class' => 'form-control' . ($errors->has('id_cliente') ? ' is-invalid' : ''), 'placeholder' => '- seleccione -', 'disabled' => true]) }}
            {!! $errors->first('id_mascota', '<div class="invalid-feedback">:message</p>') !!}
        </div>
        <div class="form-group">
            {{ Form::label('id_usuario', 'Encargado de atención') }}
            {{ Form::select('id_usuario', array_column($usuarios->toArray(), 'fullname', 'id'), $consulta->id_usuario, ['class' => 'form-control' . ($errors->has('id_cliente') ? ' is-invalid' : ''), 'placeholder' => '- seleccione -']) }}
            {!! $errors->first('id_usuario', '<div class="invalid-feedback">:message</p>') !!}
        </div>
        <div class="form-group">
            {{ Form::label('inicio','Fecha y Horario de Atención') }}
            {{ Form::text('inicio', $consulta->inicio, ['class' => 'form-control' . ($errors->has('inicio') ? ' is-invalid' : ''), 'placeholder' => 'Inicio', 'autocomplete'=>'off']) }}
            {!! $errors->first('inicio', '<div class="invalid-feedback">:message</p>') !!}
        </div>
    </div>
    <div class="box-footer mt20">
        <button type="submit" class="btn btn-primary">Guardar</button>
    </div>
</div>
@section('scripts')
    <script src="https://cdn.jsdelivr.net/npm/gijgo@1.9.13/js/gijgo.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/gijgo@1.9.13/js/messages/messages.es-es.js"></script>
    <script>
        const mascotas = @json($mascotas->toArray());

        if($("#id_mascota").val()!='') $("#id_mascota").removeAttr('disabled');
        if($("#id_cliente").val()!='') $("#id_cliente").attr('disabled', true);

        $(function(){
            $("#id_cliente").change(function(){
                let idcli = this.value;
                let suspets = mascotas.filter(item=>item.id_cliente == idcli).map(item=>item.id);

                $("#id_mascota").val('').removeAttr('disabled');
                $("#id_mascota option").slice(1).hide();
                $("#id_mascota option").each((i,item) => { if(suspets.includes(item.value*1)) $(item).show() });
            });

            $('#inicio').datetimepicker({
                uiLibrary: 'bootstrap4',
                locale: 'es-es',
                footer : true,
                format: 'dd/mm/yyyy hh:MM tt'
            });
        });
    </script>
@endsection

resources/views/consulta/index.blade.php
@extends('layouts.app')

@section('template_title')
    Listado de Consultas
@endsection

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <div style="display: flex; justify-content: space-between; align-items: center;">

                            <span id="card_title">
                                {{ __('Listado de Consultas') }}
                            </span>

                            <div class="float-right">
                                <a href="{{ route('consultas.create') }}" class="btn btn-primary btn-sm float-right"  data-placement="left">
                                    {{ __('Nueva Consulta') }}
                                </a>
                            </div>
                        </div>
                    </div>
                    @if ($message = Session::get('success'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                    @endif

                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover">
                                <thead class="thead">
                                    <tr>
                                        <th>Nro</th>

										<th>Servicio</th>
										<th>Mascota</th>
                                        <th>Encargado</th>
                                        <th>Cliente</th>
										<th>Horario de Inicio</th>
										<th>Horario de Fin</th>

                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($consultas as $consulta)
                                        <tr>
                                            <td>{{ $loop->index + 1 }}</td>

											<td>{{ $consulta->servicio->nombre }}</td>
											<td>{{ $consulta->mascota->nombre }}</td>
											<td>{{ $consulta->user->nombres.' '.$consulta->user->apellidos }}</td>
											<td>{{ $consulta->cliente->nombres.' '.$consulta->cliente->apellidos }}</td>
											<td>{{ $consulta->inicio }}</td>
											<td>{{ $consulta->fin }}</td>

                                            <td>
                                                <form action="{{ route('consultas.destroy',$consulta->id) }}" method="POST">
                                                    <a class="btn btn-sm btn-primary " href="{{ route('consultas.show',$consulta->id) }}"><i class="fa fa-fw fa-eye"></i> Detalle</a>
                                                    <a class="btn btn-sm btn-success" href="{{ route('consultas.edit',$consulta->id) }}"><i class="fa fa-fw fa-edit"></i> Editar</a>
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="button" class="btn btn-danger btn-sm deler"><i class="fa fa-fw fa-trash"></i> Eliminar</button>
                                                </form>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('scripts')
<script>
    $(function(){
        $(".deler").click(function(){
            if(confirm("¿Desea eliminar la consulta?")){
                $(this).parent().submit();
            }
        });
    });
</script>
@endsection

resources/views/consulta/programacion.blade.php
@extends('layouts.app')

@section('estilos')
<link href='https://cdn.jsdelivr.net/npm/fullcalendar@5.8.0/main.min.css' rel='stylesheet' />
<script src='https://cdn.jsdelivr.net/npm/fullcalendar@5.8.0/main.min.js'></script>

@endsection

@section('template_title')
    Programación Consultas
@endsection

@section('content')
    <div id="calendario" class="p-3">

    </div>
@endsection

@section('scripts')
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment-with-locales.min.js" integrity="sha512-LGXaggshOkD/at6PFNcp2V2unf9LzFq6LE+sChH7ceMTDP0g2kn6Vxwgg7wkPP7AAtX+lmPqPdxB47A0Nz0cMQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script>
    $(function(){
        const consultas = @json($consultas->toArray());

        let calendar_data = []

        consultas.forEach((item) => {
            let event = {};
            event.title = item.user.nombres + " " + item.user.apellidos + " - " + item.servicio.nombre;
            event.start = moment(item.inicio).toISOString();
            event.end = moment(item.fin).toISOString();
            calendar_data.push(event);
        });

        var calendarEl = document.getElementById('calendario');
        var calendar = new FullCalendar.Calendar(calendarEl, {
            initialView: 'dayGridMonth'
        });
        calendar.render();
    });
</script>
@endsection

resources/views/consulta/show.blade.php
@extends('layouts.app')

@section('template_title')
    {{ $consulta->name ?? 'Consulta' }}
@endsection

@section('content')
    <section class="content container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <div class="float-left">
                            <span class="card-title">Detalle de Consulta</span>
                        </div>
                        <div class="float-right">
                            <a class="btn btn-primary btn-sm" href="{{ route('consultas.index') }}"> Volver</a>
                        </div>
                    </div>

                    <div class="card-body">

                        <div class="form-group">
                            <strong>Servicio:</strong>
                            {{ $consulta->servicio->nombre }}
                        </div>
                        <div class="form-group">
                            <strong>Mascota:</strong>
                            {{ $consulta->mascota->nombre }}
                        </div>
                        <div class="form-group">
                            <strong>Encargado:</strong>
                            {{ $consulta->user->nombres.' '.$consulta->user->apellidos }}
                        </div>
                        <div class="form-group">
                            <strong>Cliente:</strong>
                            {{ $consulta->cliente->nombres.' '.$consulta->cliente->apellidos }}
                        </div>
                        <div class="form-group">
                            <strong>Detalle:</strong>
                            <div class="mt-3 ml-3">{!! $consulta->detalle ?? 'Sin detalles (aún no se ha brindado atención)' !!}</div>
                        </div>
                        <div class="form-group">
                            <strong>Inicio:</strong>
                            {{ $consulta->inicio }}
                        </div>
                        <div class="form-group">
                            <strong>Fin:</strong>
                            {{ $consulta->fin }}
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection